ubuntu/+source/qtwebkit-source:ubuntu/precise

Last commit made on 2012-03-11
Get this branch:
git clone -b ubuntu/precise https://git.launchpad.net/ubuntu/+source/qtwebkit-source
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/precise
Repository:
lp:ubuntu/+source/qtwebkit-source

Recent commits

b2a614b... by Adam Conrad on 2012-03-11

Import patches-unapplied version 2.2.1-1ubuntu4 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 78ef32336916e3eef05a55cb62e7bc50b7be7ee6

New changelog entries:
  * Fix both causes of armhf build failures (LP: #945393):
    - Update symbols file to duplicate armel entries as armhf.
    - Build with -gstabs on armhf instead of -g, like armel.

78ef323... by Rohan Garg on 2012-03-05

Import patches-unapplied version 2.2.1-1ubuntu3 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 7c5bb0138e7005979a8de24208f746943e15098d

New changelog entries:
  * Update symbols for armel (LP: #945393)

7c5bb01... by Ben Collins on 2012-02-02

Import patches-unapplied version 2.2.1-1ubuntu2 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 1ae2c8de804729c50ee5bae1345f305d7c7e8d65

New changelog entries:
  * Include symbols file for powerpc

1ae2c8d... by Fathi Boudra on 2012-01-10

Import patches-unapplied version 2.2.1-1ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 5edfb86fb8761d6b7fed94045ea68b46f70bad1a

New changelog entries:
  * New upstream release.
  [ Felix Geyer ]
  * Update symbols file.
  [ Fathi Boudra ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch from upstream.
  * Add kubuntu_01_workaround_-Werror_deprecated-declarations.diff
  * Drop override_dh_makeshlibs: do not pass -c0 to dh_makeshlibs.
  * Merge from Debian:
    - drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
    - update debian/compat: bump to 9.
    - bump Qt build dependency to 4:4.8.0~.
    - drop libphonon-dev build dependency.
  * Remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
  * Update symbols file.

5edfb86... by Felix Geyer on 2011-11-23

Import patches-unapplied version 2.2~2011week36-1ubuntu4 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 7b338732bacaff9bf771ca98211222fb50aaf06d

New changelog entries:
  * Re-apply changes that have been dropped in the last upload:
    - Add 0001_fix_symbols_visibility_for_webcore.diff, the patch is *not*
      upstream.
    - Pass -c0 to dpkg-gensymbols.
    - Use dh_auto_* instead of calling (q)make directly.

7b33873... by Jonathan Riddell on 2011-10-29

Import patches-unapplied version 2.2~2011week36-1ubuntu3 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 9eae9f1024a677cd8b0cb4c96d71f1bfdc64831f

New changelog entries:
  [ Jonathan Riddell ]
  * Merge from Debian vcs, remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
  [ Felix Geyer ]
  * Add a symbols file.
  * Add ${misc:Pre-Depends} to libqtwebkit4 Pre-Depends.
  * New upstream release:
    - provides support for s390/s390x. (Closes: #637004)
  * Update patches:
    - 0001_fix_symbols_visibility_for_webcore.diff: drop, stolen upstream.
    - 05_sparc_unaligned_access.diff: refresh
    - no_gc_sections.diff: refresh
    - 06_kfreebsd_strnstr.diff, 09_hurd.diff: drop, now strnstr() is properly
      enabled
  [ Pino Toscano ]
  * Add -gstabs to the C(XX)FLAGS also for s390x. (see #637004)
  * Enable the video support for all the OSes, not just on Linux.
  * Add patch glibc_mkspec.diff, to enable/fix compile options for platforms
    using our custom glibc-g++ mkspec.
  [ Fathi Boudra ]
  * Update debian/control:
    - bump debhelper build dependency to 8.1.3~.
    - bump Qt build dependency to 4:4.7.4~. This version introduce multiarch.
    - add pkg-config, libgstreamer-plugins-base0.10-dev and
      libgstreamer0.10-dev build dependencies.
    - drop libphonon-dev build and qt-mobility build dependencies. GStreamer
      will be used as the multimedia backend as recommended by upstream.
      (Closes: #634388)
  * Update debian/*.install files for multiarch.
  * Add debian/README.source: explain how to create a new upstream tarball.
  * Update debian/rules:
    - drop ENABLE_GEOLOCATION as qt-mobility build dependency is removed.
    - add WTF_USE_GSTREAMER to enable GStreamer as the multimedia backend.
    - pass --sourcedirectory=Source to dh as the upstream tarball format has
      changed.
    - add override_dh_auto_clean to remove Source/Makefile file and avoid
      dh_clean failure.
  * Add qwebview designer plugin and make libqtwebkit-dev depend on
    ${shlibs:Depends} as we are shipping the qwebview designer plugin.
    (Closes: #612974)

9eae9f1... by Felix Geyer on 2011-09-19

Import patches-unapplied version 2.2~2011week36-0ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: ae78fe4307acc630c96aa498e0e7ca4881481ed3

New changelog entries:
  * New upstream release (2.2.0 RC1).
    - Drop kubuntu_fix_jit_warnings_i386.diff, applied upstream.
    - Fixes crash in amarok wikipedia applet. (LP: #846709)
  * Add Vcs-Bzr control field.

ae78fe4... by Rohan Garg on 2011-08-30

Import patches-unapplied version 2.2~2011week34-0ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 2a05ce38604a1f5b969e68aa89c697602a9e4276

New changelog entries:
  * New upstream release (LP: #844792)
    - Drop kubuntu_gstreamer_build_fix.diff, applied upstream
    - Refresh stabs_format_debug_info.diff
    - Use WTF_USE_GSTREAMER instead of USE_GSTREAMER

2a05ce3... by Steve Langasek on 2011-08-15

Import patches-unapplied version 2.2~2011week27-0ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 390f6d81dccf3cf50e16ad6b8bd1656654079d18

New changelog entries:
  * Build for multiarch, required since qt4-x11 has switched over.

390f6d8... by Felix Geyer on 2011-07-20

Import patches-unapplied version 2.2~2011week27-0ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: a5e47f007ba069472a261d96ddc94e710e03527c

New changelog entries:
  * Merge from Debian vcs, remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
    - Add qwebview designer plugin.
    - Drop qtmobility-dev build-dependency and disable geolocation.
    - Make libqtwebkit-dev depend on ${shlibs:Depends} as we are shipping
      the qwebview designer plugin.
  * Drop transitional package libqtwebkit4-declarative.
  * New upstream release.
  * Refresh patches.
  * Drop kubuntu_01_include_files.diff, not needed anymore.
  * Disable linux_amd64_no_overcommit.diff, fixed upstream.
  * Disable 05_sparc_unaligned_access.diff, 06_kfreebsd_strnstr.diff and
    09_hurd.diff for now, architectures not supported on Ubuntu.
  * Use the GStreamer multimedia backend.
    - Build-depend on libgstreamer0.10-dev and
      libgstreamer-plugins-base0.10-dev.
  * Remove upstream Source/Makefile which makes dh_auto_clean fail.
  * Fix include and lib path in qtdesigner-qwebview/qwebview.pro.
  * Add README.source explaining how to create a new upstream tarball.
  * Add kubuntu_fix_jit_warnings_i386.diff to fix FTBFS on i386 due to -Werror.
  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
    - kfreebsd-i386 kfreebsd-amd64 hurd-i386 -> !linux-any
  * Add defines_qt_webkit.diff to display correctly documentation in Qt Creator
    Help plugin. (Closes: #619443)
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * New upstream release.
  [ José Manuel Santamaría Lema ]
  * Add linux_amd64_no_overcommit.diff to avoid crashes on amd64 with less than
    3 or 4GB of RAM. Thanks to Felix Geyer for his help with this issue.
  [ Fathi Boudra ]
  * Ship libqtwebkit-qmlwebkitplugin package. (Closes: #601650)
  * Drop webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch.
  * Rename 08_powerpc_s390_no_gc_sections.diff to no_gc_sections.diff and
    extend it to cover armel and mip* as well. Full list: powerpc, s390, arm*,
    mips*.
  * Really replace -g with -gstabs on s390, mips, mipsel and armel. Previously
    it used to grab -g from environment CXXFLAGS. Hopefully this will truly
    fix OOMs when linking. (Closes: #618325)
  * Urgency=high, transition stuff.
  [ Pino Toscano ]
  * Build-depend on libphonon-dev on non-Linux architectures. (Closes: #617656)
  [ Modestas Vainius ]
  * Build with -gstabs on armel (Closes: #618325). Added to the
    stabs_format_debug_info.diff patch (former
    07_s390_stabs_format_debugging_information.diff).
  * Urgency=high, transition stuff.
  * New upstream release - upload to Sid.
  * Add webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch to
    work around the build failure.
  * Switch to Qt MultimediaKit for the video support (instead of Phonon), build
    depends on QtMultimediaKit.
  * Enable geolocation support: build depends on QtLocation and define
    ENABLE_GEOLOCATION.
  * New upstream release: switch to Qt WebKit 2.1 branch.
  [ Fathi Boudra ]
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.
  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.
  [ Pino Toscano ]
  * Add patch 09_hurd.diff to fix compilation on Hurd.